<?php

if(!is_dir('interface') && !is_dir('sql')) die('Please enter the install directory before you execute the install.php script.');

if(is_dir('/usr/local/ispconfig/interface/web/gdpr')) die("GDPR Module already installed. Use update.php\n");

// check for php-curl
$temp=exec("php -v | head -n 1 | awk '{print $2}' | awk -F - '{print $1}'", $ret, $val);
if ($val == 0) $version = $ret[0]; else die ("unable to get your php-version\n");unset($ret);
$version = substr($version,0,3);
$php_cgi = @($version == '5.6')?'php-cgi':'php-cgi'.$version;
$temp=exec('which '.$php_cgi, $ret, $val);
if ($val != 0) echo "Unable to get your php-cgi binary\n";
$php_cgi_binary=$ret[0];unset($ret);
$temp=exec($php_cgi_binary.' -i|grep curl | grep -v sqlite', $ret);
if(strpos($temp,'curl') === true) echo "PHP Curl missing\nP";
unset($ret);

exec('chown -R ispconfig:ispconfig interface');
exec('chmod -R 750 interface');
exec('cp -prf interface /usr/local/ispconfig');
exec('mkdir -p /usr/local/ispconfig/interface/gdpr');
exec('chmod 770 /usr/local/ispconfig/interface/gdpr');
exec('chown ispconfig.ispconfig /usr/local/ispconfig/interface/gdpr');
exec('chmod -R 770 /usr/local/ispconfig/interface/web/gdpr/lib/lang');
exec('chown -R ispconfig:ispconfig /usr/local/ispconfig/interface/gdpr');

exec('chmod 750 server/scripts/gdpr');
exec('chmod 700 server/scripts/gdpr/gdpr_update.sh');
exec('chown root.root server/scripts/*');
exec('mkdir -p /usr/local/ispconfig/server/scripts/gdpr');
exec('cp -prf server /usr/local/ispconfig');

exec('ln -s /usr/local/ispconfig/server/mods-available/gdpr_module.inc.php /usr/local/ispconfig/server/mods-enabled/gdpr_module.inc.php');
exec('ln -s /usr/local/ispconfig/server/plugins-available/gdpr_plugin.inc.php /usr/local/ispconfig/server/plugins-enabled/gdpr_plugin.inc.php');

include_once '/usr/local/ispconfig/server/lib/config.inc.php';
include_once '/usr/local/ispconfig/server/lib/mysql_clientdb.conf';

if(substr(ISPC_APP_VERSION, 0, 3) != '3.1') die('This ISPConfig GDPR Module version requires ISPConfig 3.1.');

$db_database = $conf['db_database'];

$command = "mysql -h ".escapeshellarg($clientdb_host)." -u ".escapeshellarg($clientdb_user)." -p".escapeshellarg($clientdb_password)."  ".escapeshellarg($db_database)." < sql/gdpr_db.sql";
exec($command);

$command = "mysql --default-character-set=utf8 -h ".escapeshellarg($clientdb_host)." -u ".escapeshellarg($clientdb_user)." -p".escapeshellarg($clientdb_password)."  ".escapeshellarg($db_database)." < sql/templates_all.sql";
exec($command);

echo "ISPConfig GDPR module has been installed.\n";

include_once 'sql/lib/mysql.lib.php';

$conf["mysql"]["host"] = $conf['db_host'];
$conf["mysql"]["admin_user"] = $conf['db_user'];
$conf["mysql"]["admin_password"] = $conf['db_password'];
$conf["mysql"]["charset"] = $conf['db_charset'];
$conf["mysql"]["database"] = $conf['db_database'];

$db = new db();

$tmp = $db->queryOneRecord("SELECT rev FROM gdpr_settings WHERE gdpr_settings_id = 1");
if(is_array($tmp) && !empty($tmp)) {
	$input= readline("Allow the GDPR Module for all clients? Y/n ");
	if(empty($input)||$input=='y'||$input=='Y') $mod=true; else $mod=false;
	$clients=$db->queryAllRecords("SELECT * FROM client");
	if(is_array($clients) && !empty($clients)) {
		foreach($clients as $client) {
			$db->query("INSERT INTO gdpr_client_settings (client_id, sys_userid, sys_groupid, sys_perm_user, sys_perm_group, sys_perm_other, gdpr_company_id, gdpr_email, allow_own) VALUES (?, ?, ?, ?, ?, ?, ?, '', 'n')", $client['client_id'] , $client['sys_userid'], $client['sys_groupid'], $client['sys_perm_user'], $client['sys_perm_group'], $client['sys_perm_other'], '1');
	       	if($mod) $db->query("UPDATE sys_user SET modules = CONCAT(IFNULL(modules, ''), ',gdpr') WHERE client_id = ? AND modules NOT LIKE '%gdpr%'", $client['client_id']);
		}
	}
} else {
	die("Unable to get gdpr_settings from ".$conf['db_database']);
}

?>
