<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('getconf,tform,gdpr_functions,auth');

$client_group_id = intval($_GET['client_group_id']);
$type = $_GET['type'];

if(!$app->auth->is_admin() && !$app->auth->has_clients($_SESSION['s']['user']['userid'])) { // Client
	$client_id = intval($_SESSION['s']['user']['client_id']);
} elseif (!$app->auth->is_admin() && $app->auth->has_clients($_SESSION['s']['user']['userid'])) { // Reseller
	$client = $app->db->queryOneRecord('SELECT client_id FROM sys_group WHERE groupid = ?', $client_group_id);
	$client_id = $client['client_id'];
	unset($client);
} else { // Admin
	$client = $app->db->queryOneRecord('SELECT client_id FROM sys_group WHERE groupid = ?', $client_group_id);
	$client_id = $client['client_id'];
	unset($client);
}

if($type == 'get_client'){
	$json=array();
	$client=$app->db->queryOneRecord("SELECT company_name, contact_firstname, contact_name, street, zip, city, customer_no FROM client WHERE client_id = ?", $client_id);
	foreach($client as $idx=>$val) $json[$idx] = $val;
	$gdpr_company_id = $app->db->queryOneRecord('SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?', $client_id)['gdpr_company_id'];
	if(!isset($gdpr_company_id)) $gdpr_company_id=1;
	$json['gdpr_company_id'] = $gdpr_company_id;
	$json['address'] = $app->gdpr_functions->get_address($client);
	$json = $app->functions->json_encode($json);
}

if($type == 'get_gdpr'){
	$json=array();
	$gdpr_company_id=intval($_GET['gdpr_company_id']);
	$contract_rec=$app->gdpr_functions->get_translated_contract($client_id, '', $gdpr_company_id);
	$json['template_id'] = $contract_rec['template_id'];
	$json['contract'] = nl2br($contract_rec['contract']);
	$additional_state=array();
	for ($i = 1; $i <= 5; $i++) $json['additional_'.[$i]]='hide';
	$additional = $contract_rec['additional'];
	$html='';
	if(is_array($additional) && !empty($additional)) {
		foreach ($additional as $id=>$add) {
			$additional_state[$id]='show';
			$html.='<tmpl_if name="is_admin"><div class="form-group"><label class="col-sm-4 control-label"><strong>'.$app->lng('include').' '.$add['description'].'</strong></label><div class="col-sm-2"><input type="checkbox" name="include['.$id.']"  CHECKED></div></div></tmpl_if>';
			$html.='<div class="form-group" id="additional_'.$id.'" name="additional_'.$id.'">';
			$html.="<center><h2>$add[description]</h2></center>";
			$html.='<label for="" class="col-sm-1"></label>';
    		$html.='<div style="height:300px;border:1px solid #ccc;overflow:auto;" class="col-sm-10" id="additional_'.$id.'">'.$add['content'].'</div>';
			$html.="</div>";
		}
	}
	$json['html'] = $html;
	$json = $app->functions->json_encode($json);
}

if($type == 'get_gdpr_company'){
	if(!$app->auth->is_admin() && !$app->auth->has_clients($_SESSION['s']['user']['userid'])) {
		$companies = $app->db->queryAllRecords("SELECT gdpr_company_id, company_short, company_name FROM gdpr_company WHERE active = 'y' AND gdpr_company_id IN (SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?)", $client_id);
	} elseif (!$app->auth->is_admin() && $app->auth->has_clients($_SESSION['s']['user']['userid'])) {
		$companies = $app->db->queryAllRecords("SELECT gdpr_company_id, company_short, company_name FROM gdpr_company WHERE active = 'y' AND sys_groupid = ? OR gdpr_company_id IN (SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?)", $client_group_id, $client_id);
	} else {
		$companies = $app->db->queryAllRecords("SELECT gdpr_company_id, company_short, company_name FROM gdpr_company WHERE active = 'y'");
	}
	if ($_SESSION['s']['user']['typ'] != 'admin' && $app->auth->has_clients($_SESSION['s']['user']['userid'])) 
		if(count($companies) > 1) $gdpr_companies_arr[0] = '- '.$app->lng('select').' -';
	if(is_array($companies)) {
		foreach($companies as $company) {
			if($app->auth->is_admin())
				$temp=@(trim($company['company_short']!=''))?$company['company_short']:$company['company_name'];
			elseif (!$app->auth->is_admin() && $app->auth->has_clients($_SESSION['s']['user']['userid'])) 
				$temp=@(trim($company['company_short']!=''))?$company['company_short']:$company['company_name'];
			else
				$temp=$company['company_name'];
			$gdpr_companies_arr[$company["gdpr_company_id"]] = $temp;
		}
	}

	$json = $app->functions->json_encode($gdpr_companies_arr);
}

if($type == 'get_email_template'){
	$json=array();
	$gdpr_company_id=intval($_GET['gdpr_company_id']);
	$client=$app->db->queryOneRecord("SELECT * FROM client WHERE client_id = ?",  $client_id);
	$gdpr_client=$app->db->queryOneRecord("SELECT * FROM gdpr_client_settings WHERE client_id = ?",  $client_id);
	$own_company=$app->db->queryOneRecord('SELECT * FROM gdpr_company WHERE gdpr_company_id = ?', $gdpr_company_id);
	$msg_rec=$app->db->queryOneRecord("SELECT text, subject FROM gdpr_email_templates WHERE master = 'y' AND lng = ? AND company_id = ?", $client['language'], $gdpr_company_id);
	if(!isset($msg_rec) || empty($msg_rec) && $own_company['default_lng'] != '') {
		$msg_rec=$app->db->queryOneRecord("SELECT text, subject FROM gdpr_email_templates WHERE master = 'y' AND lng = ? AND company_id = ?", $own_company['default_lng'], $gdpr_company_id);
	}
	$json['email_address'] = @(trim($gdpr_client['gdpr_email']) != '')?$gdpr_client['gdpr_email']:$client['email'];
	$json['email_subject'] = $msg_rec['subject'];
	$json['message'] = $app->gdpr_functions->get_mail_template($msg_rec['text'], $client, $own_company);
	$json = $app->functions->json_encode($json);
}

if($type == 'get_images'){
	$path = ISPC_WEB_PATH.'/gdpr/lib/logo';
	$json=array();
	$gdpr_company_id=intval($_GET['gdpr_company_id']);
	$app->gdpr_functions->check_files($gdpr_company_id);
	$rec=$app->db->queryOneRecord("SELECT logo_file, signature_file FROM gdpr_company WHERE gdpr_company_id = ?", $gdpr_company_id);
	if(isset($rec['logo_file']) && !empty($rec['logo_file'])) {
		$logo = base64_encode(file_get_contents($path.'/'.$rec['logo_file']));
		$mime = mime_content_type($path.'/'.$rec['logo_file']);
		$mime =str_replace('image/','',$mime);
		$json['logo_preview'] = '<img src="data:image/'.$mime.';base64,'.$logo.'" style="max-width: 200px; max-height: 200px">';
	} 
	if(isset($rec['signature_file']) && !empty($rec['signature_file'])) {
		$logo = base64_encode(file_get_contents($path.'/'.$rec['signature_file']));
		$mime = mime_content_type($path.'/'.$rec['signature_file']);
		$mime =str_replace('image/','',$mime);
		$json['signature_preview'] = '<img src="data:image/'.$mime.';base64,'.$logo.'" style="max-width: 200px; max-height: 200px">';
	}
	$json = $app->functions->json_encode($json);
}

header('Content-type: application/json');
echo $json;

?>
