<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$list_def_file = 'list/client.list.php';

$app->auth->check_module_permissions('client, gdpr');

$app->uses('listform_actions');

class list_action extends listform_actions {

	public function prepareDataRow($rec) {
		global $app;

		$rec = $app->listform->decode($rec);
		$this->DataRowColor = ($this->DataRowColor == '#FFFFFF') ? '#EEEEEE' : '#FFFFFF';
		$rec['bgcolor'] = $this->DataRowColor;
		$gdpr_client_settings = $app->db->queryOneRecord("SELECT * FROM gdpr_client_settings WHERE client_id = ?", $rec[$this->idx_key]);
		if(is_array($app->listform->listDef['item']) && count($app->listform->listDef['item']) > 0) {
			foreach($app->listform->listDef['item'] as $field) {
				$key = $field['field'];
				if(isset($field['formtype']) && $field['formtype'] == 'SELECT') {
					if(strtolower($rec[$key]) == 'y' or strtolower($rec[$key]) == 'n') {
						$rec['_'.$key.'_'] = (strtolower($rec[$key]) == 'y')?'x16/tick_circle.png':'x16/cross_circle.png';
					}
					$rec[$key] = @$field['value'][$rec[$key]];
				}
			}
		}
		$rec['id'] = $rec[$this->idx_key];
		return $rec;
	}

}

$list = new list_action;
$list->SQLOrderBy = 'ORDER BY client.company_name, client.contact_name, client.client_id';
$list->onLoad();
?>
