<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');
$app->uses('gdpr_functions, gdpr_functions_html');

$id = intval($_GET['id']);
$action = $_GET['action'];

//if($id == 0) die('Invalid ID');

$lng_file = 'lib/lang/'.$_SESSION['s']['language'].'_gdpr_action.lng';
include_once $lng_file;

if($action == 'preview_client') {
	$client_id=intval($_SESSION['s']['user']['client_id']);
	// Create the PDF
	$settings=$app->gdpr_functions->get_gdpr_settings();
	$date=date('Y-m-d H:i:s');
	$date=str_replace(' ','_',$date);
	$gdpr_filename=$app->gdpr_functions->create_filename('preview', $date);
	$path_parts = pathinfo($gdpr_filename);
	$filename=$path_parts['basename'];
	$app->gdpr_functions->check_files($dataRecord['company_id']);
	$gdpr_company_id = $app->db->queryOneRecord("SELECT gdpr_company_id FROM gdpr_company WHERE active = 'y' AND gdpr_company_id IN (SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?)", $client_id)['gdpr_company_id'];
	$gdpr_pdf_template = $app->db->queryOneRecord("SELECT gdpr_pdf_template FROM gdpr_company WHERE gdpr_company_id = ?", $gdpr_company_id)['gdpr_pdf_template'];


	$client=$app->db->queryOneRecord("SELECT * FROM client WHERE client_id = ?", $client_id);
	$gdpr_client_company_id=$app->db->queryOneRecord("SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?", $client_id)['gdpr_company_id'];

	$contract_rec=$app->db->queryOneRecord("SELECT gdpr_template_id, company_id, text FROM gdpr_templates WHERE master = 'y' AND lng = ? AND company_id = ? AND active = 'y'", $client['language'], $gdpr_client_company_id);
	unset($client);


	$pdf_gdpr_classname = 'PDFGDPR_'.$gdpr_pdf_template;
	if(!class_exists('PDFGDPR_'.$gdpr_pdf_template)) include 'templates/pdf_gdpr/'.$gdpr_pdf_template.'/make_pdf_gdpr.php';
	$pdf=new $pdf_gdpr_classname();
	$pdf->AliasNbPages();
	$pdf->createGDPRPDF($client_id, array('company_id' => $gdpr_company_id, 'template_id' => $contract_rec['gdpr_template_id']), true);
	$pdf_content = $pdf->Output('doc.pdf', 'S');
	unset($pdf);
	if(is_file($gdpr_filename)) unlink($gdpr_filename);
	if(!file_put_contents($gdpr_filename, $pdf_content)) {
		die("download error");
	} else {
		$path_parts = pathinfo($gdpr_filename);
		header('Content-type: application/pdf');
		header('Content-Disposition: attachment; filename="'.$path_parts['basename'].'"');
		@readfile($gdpr_filename);
		@unlink($gdpr_filename);
		exit;
	}
}

if($action == 'preview') {
	// Create the PDF
	$settings=$app->gdpr_functions->get_gdpr_settings();
	$rec=$app->db->queryOneRecord("SELECT company_id FROM gdpr_templates WHERE gdpr_template_id = ? AND master = 'y'", $id); 
	$gdpr_company_id = $rec['company_id'];
	unset($rec);
	$date=date('Y-m-d H:i:s');
	$date=str_replace(' ','_',$date);
	$gdpr_filename=$app->gdpr_functions->create_filename('preview', $date);
	$path_parts = pathinfo($gdpr_filename);
	$filename=$path_parts['basename'];
	$app->gdpr_functions->check_files($gdpr_company_id);
	$gdpr_pdf_template = $app->db->queryOneRecord("SELECT gdpr_pdf_template FROM gdpr_company WHERE gdpr_company_id = ?", $gdpr_company_id)['gdpr_pdf_template'];
	$pdf_gdpr_classname = 'PDFGDPR_'.$gdpr_pdf_template;
	if(!class_exists('PDFGDPR_'.$gdpr_pdf_template)) include 'templates/pdf_gdpr/'.$gdpr_pdf_template.'/make_pdf_gdpr.php';
	$pdf=new $pdf_gdpr_classname();
	$pdf->AliasNbPages();
	$pdf->createGDPRPDF(1, array('company_id' => $gdpr_company_id, 'template_id' => $id ), true);
	$pdf_content = $pdf->Output('doc.pdf', 'S');
	unset($pdf);
	if(is_file($gdpr_filename)) unlink($gdpr_filename);
	if(!file_put_contents($gdpr_filename, $pdf_content)) {
		die("preview error");
	} else {
		$path_parts = pathinfo($gdpr_filename);
		header('Content-type: application/pdf');
		header('Content-Disposition: attachment; filename="'.$path_parts['basename'].'"');
		@readfile($gdpr_filename);
		@unlink($gdpr_filename);
		exit;
	}
}

elseif($action == 'show' || $action == 'send' || $action == 'stored' || $action == 'send_stored_data' && $error == '') {
	$app->uses('tpl');
	$app->tpl->newTemplate('form.tpl.htm');
	$app->tpl->setInclude('content_tpl', 'templates/gdpr_action_send.htm');
	$app->tpl->setVar('id', $id);
	$app->tpl->setVar($wb); 
	if($action == 'send_stored_data' || $action == 'show') { 
		if($action == 'send_stored_data') { 
			$rec=$app->db->queryOneRecord("SELECT sys_groupid, client_id FROM gdpr_client_data WHERE gdpr_client_data_id = ?", $id);
			$company_rec=$app->db->queryOneRecord("SELECT gdpr_company_id FROM gdpr_company WHERE active = 'y' AND enable_mail = 'y' AND gdpr_company_id IN (SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?)", $rec['client_id']);
			if(is_array($company_rec) && !empty($company_rec))
				$app->gdpr_functions_html->company_list(array('gdpr_company_id' => $company_rec['gdpr_company_id']));
			else {
				$error=$wb['send_mail_disabled'];
			}
		}
		if($action == 'show') { 
			$rec=$app->db->queryOneRecord("SELECT sys_groupid FROM gdpr_contract WHERE gdpr_contract_id = ?", $id);
			$client = $app->db->queryOneRecord('SELECT client_id FROM sys_group WHERE groupid = ?', $rec['sys_groupid']);
			$company_rec=$app->db->queryOneRecord("SELECT gdpr_company_id FROM gdpr_company WHERE active = 'y' AND enable_mail = 'y' AND gdpr_company_id IN (SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?)", $client['client_id']);
			if(is_array($company_rec) && !empty($company_rec))
				$app->gdpr_functions_html->company_list(array('gdpr_company_id' => $company_rec['gdpr_company_id']));
			else {
				$error=$wb['send_mail_disabled'];
			}
		}
	}
	if($action != 'send_stored_data') {
		$rec=$app->db->queryOneRecord("SELECT sys_groupid, company_id FROM gdpr_contract WHERE gdpr_contract_id = ?", $id);
		$app->gdpr_functions_html->company_list(array('gdpr_company_id' => $rec['company_id']));
	}
	if($error == '') {
		$app->gdpr_functions_html->client_list(array('client_group_id' => $rec['sys_groupid']));
		$app->tpl->setVar('type', $action);
		if(isset($_GET['action']) && $_GET['action'] == 'send') {
			if(isset($_POST['type']) && !empty($_POST['type'])) $type=$_POST['type']; else $type='';
			$to = $_POST['email_address'];
			$subject = $_POST['email_subject'];
			$message = $_POST['message'];
			$contract = $id;
			$company = $_POST['company_id'];

			$error=@(!filter_var($to, FILTER_VALIDATE_EMAIL))?$app->lng('to_invalid_error'):'';
			$error.=($subject=='')?'<br>'.$app->lng('subject_empty_error'):'';
			$error.=($message=='')?'<br>'.$app->lng('mesage_empty_error'):'';

			if($type == 'send_stored_data') {
				$contract=$app->db->queryOneRecord("SELECT filename, filetype FROM gdpr_client_data WHERE gdpr_client_data_id = ?", $id);
			}		
			if($type == 'show') { //* send
				$contract=$app->db->queryOneRecord("SELECT filename, filetype FROM gdpr_contract WHERE gdpr_contract_id = ?", $id);
			}
			$filename=$app->gdpr_functions->get_filename($contract['filename']);
			if($filename === false) $error.='<br>'.$app->lng('file_read_error');

			if($error != '') {
				$app->tpl->setVar('error', $error); 
			} else {
				$_filename=@($contract['filename'] != '')?$contract['filename']:'';
				$_filetype=@($contract['filetype'] != '')?$contract['filetype']:'';
				if($app->gdpr_functions->send_mail($to, $company, $id, $subject, $message, $_filename, $_filetype)) {
					$app->tpl->setVar('msg', $wb['send_txt'].$to); 
				} else {
					$app->tpl->setVar('error', $wb['send_error'].$to); 
				}
			if($type == 'send_stored_data') {
				if($app->auth->is_admin()) {
				} else {
					@unlink($filename);
					$app->db->query("DELETE FROM gdpr_client_data WHERE gdpr_client_data_id = ?", $id);
				}
			} else {
			}
			}
		} else {
		}
		$app->tpl_defaults();
		$app->tpl->pparse();
	} else {
		$app->error($error);
	}
} elseif($action == 'get_file' || $action == 'get_stored_data' && $error == '') {
	$settings = $app->gdpr_functions->get_gdpr_settings();
	if($action == 'get_file') {
		if($app->auth->is_admin()) {
			$rec = $app->db->queryOneRecord('SELECT contract, filename, filetype FROM gdpr_contract WHERE gdpr_contract_id = ?', $id);
		} elseif($app->auth->has_clients($_SESSION['s']['user']['userid']) && $app->gdpr_functions->allow_own()) {
			$companies = implode(',', $app->gdpr_functions->get_companies());
			$rec = $app->db->queryOneRecord("SELECT contract, filename, filetype FROM gdpr_contract WHERE gdpr_contract_id = ? AND sys_groupid IN (".$_SESSION['s']['user']['groups'].") AND company_id IN (".$companies.") AND state != 'deleted'", $id);
		} else {
			$rec = $app->db->queryOneRecord("SELECT contract, filename, filetype FROM gdpr_contract WHERE gdpr_contract_id = ? AND sys_groupid = ?", $id, $_SESSION['s']['user']['default_group']);
		}
		$filename=$app->gdpr_functions->get_filename($rec['filename']);
		if($filename === false) die($wb['contract_access_error']);
		$path_parts = pathinfo($filename);
		if($settings['db_store'] == 'y' && $rec['contract'] != '') {
			$contract_file=base64_decode($rec['contract']);
			if(!file_put_contents($filename, $contract_file)) {
				die($wb['contract_export_error']);
			}
		}
	} 
	if($action == 'get_stored_data') {
		if($app->auth->is_admin()) {
			$rec = $app->db->queryOneRecord('SELECT filename, filetype FROM gdpr_client_data WHERE gdpr_client_data_id = ?', $id);
		} elseif($app->auth->has_clients($_SESSION['s']['user']['userid']) && $app->gdpr_functions->allow_own()) {
			//* Reseller
		} else {
			$rec = $app->db->queryOneRecord("SELECT filename, filetype FROM gdpr_client_data WHERE gdpr_client_data_id = ? AND sys_groupid = ?", $id, $_SESSION['s']['user']['default_group']);
		}
		$filename=$app->gdpr_functions->get_filename($rec['filename']);
		if($filename === false) die($wb['contract_access_error']);
	} 
	if(is_file($filename)) {
		$path_parts = pathinfo($filename);
		header('Content-type: '.$rec['filetype']);
		header('Content-Disposition: attachment; filename="'.$path_parts['basename'].'"');
		readfile($filename);
		if($action == 'get_stored_data') {
			if($app->auth->is_admin()) {
			} else {
				@unlink($filename);
				$app->db->query("DELETE FROM gdpr_client_data WHERE gdpr_client_data_id = ?", $id);
			}
		} else {
		}
	} else {
		die($wb['contract_access_error']);
	}

	if($action == 'get_file' && $settings['db_store'] == 'y') @unlink($filename);
} else {
	$error_msg = $app->lng('Unknown action');
	$app->error($error_msg);
}
?>
