<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$tform_def_file = "form/gdpr_client_settings.tform.php";

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('client,gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onShowEdit() {
		global $app, $conf;

		$rec = $app->tform->getDataRecord($this->id);
		if(!isset($rec['client_id'])) {
			$sql = "INSERT INTO gdpr_client_settings (client_id, sys_userid, sys_groupid, sys_perm_user, sys_perm_group, sys_perm_other, gdpr_company_id, gdpr_email)
			VALUES (?, 1, 1,'riud', 'riud', '', 0, '')";
			$app->db->query($sql, $this->id);
		}

		parent::onShowEdit();
	}

	function onShowEnd() {
		global $app, $conf;

		if($this->id > 0) {
			$gdpr_company_id = intval(@$this->dataRecord["gdpr_company_id"]);
		} else {
			$tmp = $app->db->queryOneRecord("SELECT gdpr_company_id FROM gdpr_company ORDER BY gdpr_company_id LIMIT 0,1");
			$gdpr_company_id = intval($tmp['gdpr_company_id']);
		}
		unset($tmp);

		$reseller=$app->db->queryOneRecord("SELECT limit_client FROM client WHERE (limit_client > 0 OR limit_client = -1) AND client_id = ?", $this->dataRecord['client_id']);
		if(is_array($reseller) && !empty($reseller)) $app->tpl->setVar("reseller", 1);
		unset($reseller);

		$app->tpl->pparse();
	}
	
}

$page = new page_action;
$page->onLoad();
?>
