<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$tform_def_file = 'form/gdpr_company.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onShowEnd() {
		global $app;
		$app->uses('gdpr_functions_html');

		$app->tpl->setVar('default_lng', $app->gdpr_functions_html->language_list($this->dataRecord));
		$app->gdpr_functions_html->classes_list($this->id);
		parent::onShowEnd();
	}

	function onSubmit() {
		global $app;

		$app->uses('gdpr_validate');
		$check=$app->gdpr_validate->validate_company($this->id, $this->dataRecord);
		if($check!='') $app->tform->errorMessage .= $app->lng($check);
		unset($check);

		$check=$app->gdpr_validate->validate_primary_company($this->id, $this->dataRecord);
		if($check!='') $app->tform->errorMessage .= $app->lng($check);
		unset($check);
		if(isset($this->dataRecord['logo_img']) && !empty($this->dataRecord['logo_img'])) {
 			if($this->dataRecord['logo_img'] != '-1') {
				$this->dataRecord['logo_file'] = $this->dataRecord['logo_img'];
				$this->dataRecord['logo_img'] = base64_encode(file_get_contents('../temp/'.$this->dataRecord['logo_img']));
			} 
		}
		
		if(isset($this->dataRecord['signature_img']) && !empty($this->dataRecord['signature_img'])) {
 			if($this->dataRecord['signature_img'] != '-1') {
				$this->dataRecord['signature_file'] = $this->dataRecord['signature_img'];
				$this->dataRecord['signature_img'] = base64_encode(file_get_contents('../temp/'.$this->dataRecord['signature_img']));
			}
		}

		parent::onSubmit();
	}

}

$page = new page_action;
$page->onLoad();
?>
