<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$list_def_file = "list/gdpr.list.php";
$tform_def_file = "form/gdpr.tform.php";

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onDelete() {
		global $app, $conf, $list_def_file, $tform_def_file;

		include_once $list_def_file;
		if(!is_object($app->tform)) $app->uses('tform');
		$app->tform->loadFormDef($tform_def_file);
		$this->id = intval($_GET['id']);
		if($this->id > 0) {
			if($app->tform->formDef['auth'] == 'yes' && !$app->auth->is_admin()) {
				if($app->tform->checkPerm($this->id, 'd') == false) $app->error($app->lng('error_no_delete_permission'));
			}
			$this->dataRecord = $app->tform->getDataRecord($this->id);
			$app->plugin->raiseEvent($_SESSION['s']['module']['name'].':'.$app->tform->formDef['name'].':'.'on_check_delete', $this);
			$this->onBeforeDelete();
			$app->plugin->raiseEvent($_SESSION['s']['module']['name'].':'.$app->tform->formDef['name'].':'.'on_before_delete', $this);
			$date=date('Y-m-d H:i:s');
			$app->db->query("UPDATE ?? SET state = 'deleted', del_ip = ?, deleted = ? WHERE gdpr_contract_id = ? LIMIT 1",$app->tform->formDef['db_table'], $date, $_SERVER['REMOTE_ADDR'], $this->id);
			$next_tab = $app->tform->getCurrentTab();
			$this->loadPlugins($next_tab);
			foreach($this->plugins as $plugin) $plugin->onDelete();
			$this->onAfterDelete();
			$app->plugin->raiseEvent($_SESSION['s']['module']['name'].':'.$app->tform->formDef['name'].':'.'on_after_delete', $this);
			$list_name = $_SESSION["s"]["form"]["return_to"];
			if($list_name != '' && $_SESSION["s"]["list"][$list_name]["parent_id"] != $this->id && $_SESSION["s"]["list"][$list_name]["parent_name"] != $app->tform->formDef["name"]) {
				$redirect = "Location: ".$_SESSION["s"]["list"][$list_name]["parent_script"]."?id=".$_SESSION["s"]["list"][$list_name]["parent_id"]."&next_tab=".$_SESSION["s"]["list"][$list_name]["parent_tab"];
				$_SESSION["s"]["form"]["return_to"] = '';
				session_write_close();
				header($redirect);
			} else {
				header("Location: ".$liste["file"]);
			}
		}
	}

	function onBeforeDelete() {
		global $app;

		if($app->tform->checkPerm($this->id, 'd') == false) $app->error($app->lng('error_no_delete_permission'));
	}
}

$page = new page_action;
$page->onDelete();
?>
