<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$tform_def_file = 'form/gdpr.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onShowEnd() {
		global $app;

		$app->uses('gdpr_functions,gdpr_functions_html');
	        $app->gdpr_functions_html->client_list();
        	$app->gdpr_functions_html->company_list();
	        $app->gdpr_functions_html->template_list();
		$app->tpl->setVar("val", 'CHECKED');
        
		parent::onShowEnd();
	}

	function onSubmit() {
		global $app;

		if($this->dataRecord['client_group_id'] == 0) {
			$app->tform->errorMessage .= $app->tform->lng('client_error_empty')."<br />";
		}
		if($this->dataRecord['template_id'] == '') {
			$app->tform->errorMessage .= $app->tform->lng('contract_error_empty')."<br />";
		}
		if($app->auth->is_admin()) {
			$client_id = $app->db->queryOneRecord("SELECT client_id FROM sys_group WHERE groupid = ?", $this->dataRecord['client_group_id'])['client_id'];
			$old_client=$app->db->queryOneRecord("SELECT * FROM client WHERE client_id = ?", $client_id);
			$updates=array();
			if($this->dataRecord['client_company'] != $old_client['company_name']) $updates['company_name'] = $this->dataRecord['client_company'];
			if($this->dataRecord['contact_firstname'] != $old_client['contact_firstname']) $updates['contact_firstname'] = $this->dataRecord['contact_firstname'];
			if($this->dataRecord['contact_name'] != $old_client['contact_name']) $updates['contact_name'] = $this->dataRecord['contact_name'];
			if($this->dataRecord['street'] != $old_client['street']) $updates['street'] = $this->dataRecord['street'];
			if($this->dataRecord['zip'] != $old_client['zip']) $updates['zip'] = $this->dataRecord['zip'];
			if($this->dataRecord['city'] != $old_client['city']) $updates['city'] = $this->dataRecord['city'];
			if(!empty($updates)) {
				$update_params=array();		
				$temp_list=array();		
				foreach($updates as $update=>$val) {
					$temp_list[] = $update.'=?';
					$update_params[] = $val;
				}
				$update_list=implode(',', $temp_list);
				$update_params[] = $this->dataRecord['client_group_id'];
				$app->db->query('UPDATE	client SET ' . $update_list . ' WHERE client_id = ?', true, $update_params);
			}
		}

		parent::onSubmit();
	}
	
}

$page = new page_action;
$page->onLoad();
?>
