<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$tform_def_file = 'form/gdpr_stored_data.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function create_table($rec) {
		global $app;

		$header='<table class="table"><thead class="dark form-group-sm"><tr>';
		foreach($rec[0] as $val=>$idx) $header.='<th>'.$app->tform->lng($val.'_txt').'</th>';
		$header.='</tr></thead>';

		$body='<tbody>';
		foreach($rec as $val=>$idx) {
			$body.='<tr>';
			foreach($idx as $t) $body.='<td>'.$t.'</td>';
			$body.='</tr>';
		}
		$body.='</tbody>';

		$out=$header.$body.'</table>';

		return($out);
	}

	function onShowEnd() {
		global $app;

		$app->uses('gdpr_functions_data, gdpr_functions_html');

		$client_id = intval($_SESSION['s']['user']['client_id']);
		$client_group_id = intval($_SESSION['s']['user']['default_group']);

		// table client	
		$client=$app->gdpr_functions_data->get_stored_client($client_id);
		if(is_array($client) && !empty($client))
			foreach($client as $val=>$idx) $app->tpl->setVar($val, $idx);

		// domains
		$domains=$app->gdpr_functions_data->get_stored_domains($client_group_id);
		if(is_array($domains) && !empty($domains))
    	    $app->tpl->setVar("domains", $this->create_table($domains));

		// billing
		$billing=false;		
		$invoice_client=$app->gdpr_functions_data->get_stored_invoice_client($client_id);
		if(is_array($invoice_client) && !empty($invoice_client)) {
			$billing=true;
        	$app->tpl->setVar("show_billing", "1");
			foreach($invoice_client as $val=>$idx) $app->tpl->setVar($val, $idx);
		} 
		
		$invoices=$app->gdpr_functions_data->get_stored_invoice($client_id);		
		if(is_array($invoices) && !empty($invoices)) {
			if(!$billing) {
				$billing=true;
    	    	$app->tpl->setVar("show_billing", "1");
			}
    	    $app->tpl->setVar("invoices", $this->create_table($invoices));
		}

		$app->tpl->setVar("client_id", $client_id);

		if($app->auth->is_admin()) {
			$app->gdpr_functions_html->client_list();
		} else {
			$app->gdpr_functions_html->client_list('', $client_group_id);
		}

		$type_select = "<option value='0'></option>";
		$type_select.= "<option value='pdf'>PDF</option>\r\n";
		$type_select.= "<option value='xml'>XML</option>\r\n";
		if($app->auth->is_admin()) $type_select.= "<option value='xml-full'>XML full</option>\r\n";
        $app->tpl->setVar("type_select", $type_select);

		parent::onShowEnd();
	}

	function onSubmit() {
		global $app;

		$app->uses('gdpr_functions');

		if($this->dataRecord['client_group_id'] == 0) {
			$app->tform->errorMessage .= $app->tform->lng('client_error_empty')."<br />";
		}

		if($this->dataRecord['type_select'] == '0') {
			$app->tform->errorMessage .= $app->tform->lng('select_type_error')."<br />";
		}

		$check=$app->db->queryAllRecords("SELECT gdpr_client_data_id FROM gdpr_client_data WHERE client_id = ?", $this->dataRecord['client_id']);
		if(is_array($check) && !empty($check)) {
			$val=array();
			foreach ($check as $ck) { 
				$val[] = $ck['gdpr_client_data_id'];
				@unlink($app->gdpr_functions->get_filename($ck['filename']));
			}
			$del = implode(',', $val);
			$app->db->query("DELETE FROM gdpr_client_data WHERE gdpr_client_data_id IN ($del)");
		}

		parent::onSubmit();
	}
	
}

$page = new page_action;
$page->onLoad();
?>
