<?php

$tform_def_file = 'form/gdpr_template.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onShowEnd() {
		global $app;

		$app->uses('gdpr_functions_html');

        $app->gdpr_functions_html->company_list($this->dataRecord);
        $app->tpl->setVar('lng', $app->gdpr_functions_html->language_list($this->dataRecord));

		$include_fields='';
		if($this->id > 0)
			$rec=$app->db->queryAllRecords("SELECT gdpr_template_id, description, lng FROM gdpr_templates WHERE gdpr_template_id != ? AND master != 'y' AND company_id = ? AND active = 'y'", $this->id, $this->dataRecord['company_id']);
		else
			$rec=$app->db->queryAllRecords("SELECT gdpr_template_id, description, lng FROM gdpr_templates WHERE gdpr_template_id != ? AND master != 'y' AND active = 'y'", $this->id);
		if(is_array($rec) && !empty($rec)) {
			foreach ($rec as $available) {
				$include_fields.='<a href="javascript:void(0);" class="addPlaceholderContent">{'.$available['description'].' ['.$available['lng'].']}<pre class="addPlaceholderContent" style="display:none;">{TEMPLATE'.$available['gdpr_template_id'].'}</pre></a> ';
			}
		}
		if($include_fields=='') $include_fields='-----';
        $app->tpl->setVar("include", $include_fields);

		parent::onShowEnd();
	}
	
	function onSubmit() {
		global $app;

		$app->uses('gdpr_validate');

		$dataRecord = $this->dataRecord;

		if($dataRecord['master'] == 'y' && $dataRecord['screen_pos'] != '1') $app->tform->errorMessage .= $app->lng('invalid_screen_pos_error');

		$check=$app->gdpr_validate->validate_template($this->id, $dataRecord, 'gdpr_template');
		if($check!='') $app->tform->errorMessage .= $app->lng($check);;

		parent::onSubmit();
	}

}

$page = new page_action;
$page->onLoad();

?>
