<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('gdpr_functions');

$action = '';

$action=$_POST['action'];

$lng_file = 'lib/lang/'.$_SESSION['s']['language'].'_gdpr_company.lng';
if(!is_file($lng_file)) $lng_file = 'lib/lang/en_gdpr_company.lng';
include $lng_file;

$allowed_mime = array('jpeg', 'gif', 'png');
$max_size = 500000;

if($action == 'upload') {
	$error='';
	$json=array();
	if(isset($_FILES['file']['name']) && is_uploaded_file($_FILES['file']['tmp_name'])){
		$random=$app->gdpr_functions->create_random_name('lib/logo');
		if(move_uploaded_file($_FILES['file']['tmp_name'], '../temp/'.$random)) {
			$mime = mime_content_type('../temp/'.$random);
			$mime = str_replace('image/','',$mime);
			if(!in_array($mime, $allowed_mime)) $error = $wb['wrong_filetype'];

			if(filesize('../temp/'.$random) > $max_size) $error = $wb['wrong_filesize'];

			$json['status'] = 'success';
			$json['img']=base64_encode(file_get_contents('../temp/'.$random));
			$json['mime']=mime_content_type('../temp/'.$random);
			$json['mime']=$mime;
			$json['temp']=$random.'.'.$json['mime'];
			rename('../temp/'.$random, '../temp/'.$random.'.'.$json['mime']);
			$json['preview'] = '<img src="data:image/'.$json['mime'].';base64,'.$json['img'].'" style="max-width: 200px; max-height: 200px">';
		} else {
			$error = $wb['move_upload_failed'];
		}
	} else {
		$error = $wb['no_upload'];
	}
} else {
	die('unknown action');
}

if($error != '') {
	$json['status'] = 'fail';
	$json['error'] = $error;
} else {
	$json['status'] = 'success';
}

$json = $app->functions->json_encode($json);
header('Content-type: application/octet-stream');
echo $json;

?>
