<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';


if($conf['demo_mode'] == true) $app->error("Import disabled in demo mode.");
if(!$app->auth->is_admin()) die('only allowed for administrators.');

$app->auth->check_module_permissions('gdpr');
$app->uses('tpl, gdpr_functions, gdpr_functions_html');
$app->tpl->newTemplate("form.tpl.htm");
$app->tpl->setInclude('content_tpl', 'templates/gdpr_upload_contract.htm');

$msg = '';
$error = '';

$lng_file = 'lib/lang/'.$_SESSION['s']['language'].'_gdpr_upload_contract.lng';
include $lng_file;
$app->tpl->setVar($wb);

$client_group_id = (isset($_POST['client_group_id']))?$app->functions->intval($_POST['client_group_id']):0;
$company_id = (isset($_POST['company_id']))?$app->functions->intval($_POST['company_id']):0;
$description = (isset($_POST['description']))?$_POST['description']:'';
$contract_type = (isset($_POST['contract_type']))?$_POST['contract_type']:'';

$app->gdpr_functions_html->client_list();
$app->gdpr_functions_html->company_list();

if($app->auth->is_admin()) {
	$type_select='';
	$_contract_type=array('own', 'system');
	foreach( $_contract_type as $type) {
            $type_select .= "<option value='$type' >".$wb[$type]."</option>\r\n";
	    }
    $app->tpl->setVar("contract_type", $type_select);
}

if(!$app->auth->is_admin() && $app->auth->has_clients($_SESSION['s']['user']['userid'])) {
//* Reseller
}

if(isset($_FILES['file']['name']) && is_uploaded_file($_FILES['file']['tmp_name'])){
	if(trim($description) != '' || $contract_type == 'system') {
		if($contract_type == 'system') $description='';
		$upload_filename = $_FILES['file']['name'];
		$upload_filetype = $_FILES['file']['type'];
		$date=date('Y-m-d H:i:s');
  		$get_filename=$app->gdpr_functions->create_filename($client_group_id, $date, $upload_filename);
		$path_parts = pathinfo($get_filename);
		$filename=$path_parts['basename'];
		if(move_uploaded_file($_FILES['file']['tmp_name'], $get_filename)) {
			$mime=mime_content_type($get_filename);
			$settings=$app->gdpr_functions->get_gdpr_settings();
			$sql = "INSERT INTO gdpr_contract (sys_userid, sys_groupid, sys_perm_user, sys_perm_group, sys_perm_other, company_id, contract, state, signed, sign_ip, deleted, del_ip, filename, filetype, contract_type, description) VALUES ('1', ?, 'riud', 'riu', '', ?, '', 'upload', ?, '', '', '', ?, ?, ?, ?)";
			$app->db->query($sql, $client_group_id, $company_id, $date, $filename, $mime, $contract_type, $description);
			$id=$app->db->queryOneRecord("SELECT gdpr_contract_id FROM gdpr_contract WHERE filename = ? AND signed = ?", $filename, $date)['gdpr_contract_id'];
			if(isset($id)&&!empty($id)) {
				if($settings['db_store'] == 'y') {
					$app->db->query("UPDATE gdpr_contract SET contract = '".mysql_escape_string(file_get_contents($get_filename))."' WHERE gdpr_contract_id = ".$id);
				} else {
				}
				$msg = $wb['imported_txt']." $upload_filename";
			} else {
				$error = "DB Error";
			}
		} else {
			$error=$wb['no move_error'];;
		}
	} else {
		$error=$wb['description_empty_error'];
	}
} else {
	if(isset($_FILES['file']['name'])) {
		$error=$wb['upload_error'];
	}
}
if($error!='') $msg='';
$app->tpl->setVar('msg', $msg);
$app->tpl->setVar('error', $error);

$app->tpl_defaults();
$app->tpl->pparse();
?>
