<?php

require_once ISPC_WEB_PATH."/gdpr/lib/tfpdf_extensions.php";

/*
   Here we extend tfpdf and create a new class. the name of the Class has to be
   PDFGDPR_ plus the name of the template, in this case "default" so the full
   name of the class is "PDFGDPR_default".
*/

class PDFGDPR_default_simple_no_header extends FPDF_Extensions {
	var $B;
	var $I;
	var $U;
	var $HREF;
	var $widths;
	var $aligns;
	var $date_format;
	var $company;
    var $wb;

	function __construct($orientation='P', $unit='mm', $format='A4') {
		
		$this->B=0;
		$this->I=0;
		$this->U=0;
		$this->HREF='';
		$this->client_id=0;
		$this->date_format="d.m.Y";
		$this->company=array();
		$this->logo_file='';
		$this->signature_file='';
        $this->img_path = ISPC_WEB_PATH.'/gdpr/lib/logo/';
		if(is_file($this->_config_prefix.'gdpr-custom.conf.php')) include 'gdpr-custom.conf.php'; else include 'gdpr.conf.php';
		$this->config = $gdpr_conf;
		unset($gdpr_conf);
		
		parent::tFPDF($orientation, $unit, $format);
	}

    function Footer() {
    	$company = $this->company;
        $this->Line(15, 280, 200, 280);
        $this->SetFont($this->font_name, '', 7);
        $cell_heights = array();
        $column1_text = $company['company_name']."\n";
        $cell_heights[] = $this->NbLines(50, $column1_text);
        if($company['internet'] != '') $column2_text = $company['internet']."\n"; else $column2_text .= "\n";
        $cell_heights[] = $this->NbLines(50, $column2_text);
        $cell_height = max($cell_heights) - 1;
        $this->SetXY(30, -15);
        $this->MultiCell(60, $cell_height, $column1_text, 0, 'L');
        $this->SetXY(120, -15);
        $this->MultiCell(160, $cell_height, $column2_text, 0, 'L');
        $this->SetY(-5);
        $this->Cell(0, -2, $this->lng('page_txt').' '.$this->PageNo().' / {nb}', 0, 0, 'C');
    }

	function createGDPRPDF($client_id, $dataRecord, $preview = false) {
		global $app;

		$this->no_header = true;

		$app->uses('gdpr_functions');
		$this->company=$app->db->queryOneRecord("SELECT * FROM gdpr_company WHERE gdpr_company_id = ?", $dataRecord['company_id']);
		$this->client_id = $client_id;
		$this->dataRecord = $dataRecord;
		$this->preview = $preview;
		$template=$this->get_template();
		$this->prepare_pdf();
    	$values=array();
	    $values[]=$this->_company;
	    $values[]=$this->company['city'];
	    $values[]=$this->customer;
	    $values[]=$this->client['city'];
		$values[]=date($this->lng('date_format'));
		$values[]=$this->translate_personal;
		$values[]=$this->translate_concerned;
		$template=$this->translate($template, $values, array('{COMPANY}','{COMPANY_CITY}','{CUSTOMER}','{CUSTOMER_CITY}','{DATE}','{CONCERNED_DATA}','{CONTRACT_DATA}'));

		// write the pdf
		foreach($template as $line) $this->write_line($line);

		$this->Ln();
	}
    
}
	
?>
