<?php

require_once ISPC_WEB_PATH."/gdpr/lib/tfpdf_extensions.php";

/*
   Here we extend tfpdf and create a new class. the name of the Class has to be
   PDFSTOREDDATA_ plus the name of the template, in this case "default" so the full
   name of the class is "PDFSTOREDDATA_default".
*/

class PDFSTOREDDATA_default_simple extends FPDF_Extensions {
	var $B;
	var $I;
	var $U;
	var $HREF;
	var $widths;
	var $aligns;
	var $date_format;
	var $company;
    var $wb;

	function __construct($orientation='P', $unit='mm', $format='A4') {
		
		$this->B=0;
		$this->I=0;
		$this->U=0;
		$this->HREF='';
		$this->client_id=0;
		$this->date_format="d.m.Y";
		$this->company=array();
		$this->logo_file='';
		$this->img_path = ISPC_WEB_PATH.'/gdpr/lib/logo/';
		if(is_file($this->_config_prefix.'stored_data-custom.conf.php')) include 'stored_data-custom.conf.php'; else include 'stored_data.conf.php';
		$this->config = $stored_data_conf;
		unset($stored_data_conf);
		
		//* Call parent constructor
		parent::tFPDF($orientation, $unit, $format);
	}
    
	function Footer() {
    		$company = $this->company;
	        $this->Line(15, 280, 200, 280);
        	$this->SetFont($this->font_name, '', 7);
	        $cell_heights = array();
        	$column1_text = $company['company_name']."\n";
	        $cell_heights[] = $this->NbLines(50, $column1_text);
        	if($company['internet'] != '') $column2_text = $company['internet']."\n"; else $column2_text .= "\n";
	        $cell_heights[] = $this->NbLines(50, $column2_text);
        	$cell_height = max($cell_heights) - 1;
	        $this->SetXY(30, -15);
        	$this->MultiCell(60, $cell_height, $column1_text, 0, 'L');
	        $this->SetXY(120, -15);
        	$this->MultiCell(160, $cell_height, $column2_text, 0, 'L');
	        $this->SetY(-5);
        	$this->Cell(0, -2, $this->lng('page_txt').' '.$this->PageNo().' / {nb}', 0, 0, 'C');
	}
	function createSTOREDDATAPDF($client_id, $dataRecord, $preview=false) {
		global $app;
		
		$this->no_header = true;

		$app->uses('gdpr_functions_data');
		$this->client_id = $client_id;
		$this->client=$app->db->queryOneRecord("SELECT * FROM client WHERE client_id = ?", $this->client_id);
		$this->company=$app->db->queryOneRecord("SELECT * FROM gdpr_company WHERE gdpr_company_id = (SELECT gdpr_company_id FROM gdpr_client_settings WHERE client_id = ?)", $this->client_id);
		$foreign_language=@($this->client['country'] == $this->company['country'])?false:true;
		$this->preview = $preview;
		$this->set_pdf();
        	$this->SetWidths(explode(',', $this->config['stored_data_column_widths']));
		$this->SetAligns(explode(',', $this->config['stored_data_column_aligns']));

		$this->write_line($this->lng('stored_data_txt'));$this->Ln;

		//parse client
		$export=$app->gdpr_functions_data->get_stored_client($this->client_id);
		if(is_array($export) && !empty($export)) $this->data2pdf($export, 'data_txt');

		// parse domains
		$domains=$app->db->queryAllRecords("SELECT domain FROM domain WHERE sys_groupid = ?", $this->client_id);
		$domains=$app->gdpr_functions_data->get_stored_domains($this->client_id);
		$this->write_stored_domains($domains);
		
		// parse gdpr
		$export=$app->gdpr_functions_data->get_stored_gdpr_client($this->client_id);
		if(is_array($export) && !empty($export)) $this->data2pdf($export, 'gdpr_txt');
		
		// parse billing
		$export=$app->gdpr_functions_data->get_stored_invoice_client($this->client_id);
		if(is_array($export) && !empty($export)) $this->data2pdf($export, 'billing_txt');

		// parse invoices
		$invoices=$app->gdpr_functions_data->get_stored_invoice($this->client_id);
		$this->write_billing($invoices);
	}

	public function lng($text) {
        global $app;

        if(!is_array($this->wb)) {
			if(file_exists(ISPC_WEB_PATH.'/gdpr/lib/lang/'.$this->client['language'].'_gdpr_stored_data_pdf.lng')) 
	           include ISPC_WEB_PATH.'/gdpr/lib/lang/'.$this->client['language'].'_gdpr_stored_data_pdf.lng';
			else
				include ISPC_WEB_PATH.'/gdpr/lib/lang/'.$this->company['default_lng'].'_gdpr_stored_data_pdf.lng';
            $this->wb = $wb;
        }

        if(isset($this->wb[$text])) {
            return $this->textdecode($this->wb[$text]);
        } else {
            return $this->textdecode($text);
        }
    }
	
}
?>
