CREATE TABLE IF NOT EXISTS `gdpr_action` (
`gdpr_action_id` bigint(20) NOT NULL,
  `sys_userid` int(11) NOT NULL DEFAULT '0',
  `sys_groupid` int(11) NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) DEFAULT NULL,
  `sys_perm_group` varchar(5) DEFAULT NULL,
  `sys_perm_other` varchar(5) DEFAULT NULL,
  `server_id` int(11) NOT NULL DEFAULT '1',
  `date` datetime DEFAULT '0000-00-00 00:00:00',
  `type` enum('update') NOT NULL,
  `message` varchar(250) NOT NULL,
  PRIMARY KEY (`gdpr_action_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `gdpr_client_data` (
  `gdpr_client_data_id` int(11) NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) unsigned NOT NULL DEFAULT '0',
  `sys_groupid` int(11) unsigned NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) NOT NULL DEFAULT '',
  `sys_perm_group` varchar(5) NOT NULL DEFAULT '',
  `sys_perm_other` varchar(5) NOT NULL DEFAULT '',
  `client_id` bigint(20) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `filetype` varchar(255) NOT NULL DEFAULT 'application/pdf',
  PRIMARY KEY (`gdpr_client_data_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `gdpr_client_settings` (
  `client_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) NOT NULL DEFAULT '0',
  `sys_groupid` int(11) NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) DEFAULT NULL,
  `sys_perm_group` varchar(5) DEFAULT NULL,
  `sys_perm_other` varchar(5) DEFAULT NULL,
  `gdpr_company_id` int(11) NOT NULL DEFAULT '0',
  `gdpr_email` varchar(255) DEFAULT NULL,
  `gdpr_show_contact_name` set('n','y') NOT NULL DEFAULT 'n',
  `allow_own` enum ('n','y') NOT NULL DEFAULT 'n',
  PRIMARY KEY (`client_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `gdpr_company` (
  `gdpr_company_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) NOT NULL DEFAULT '0',
  `sys_groupid` int(11) NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) DEFAULT NULL,
  `sys_perm_group` varchar(5) DEFAULT NULL,
  `sys_perm_other` varchar(5) DEFAULT NULL,
  `company_name` varchar(255) DEFAULT NULL,
  `company_short` varchar(255) DEFAULT NULL,
  `street` varchar(255) DEFAULT NULL,
  `zip` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `country` varchar(255) NOT NULL DEFAULT 'DE',
  `email` varchar(255) DEFAULT NULL,
  `internet` varchar(255) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `logo_file` varchar(255) DEFAULT NULL,
  `signature_file` varchar(255) NOT NULL,
  `logo` longblob NOT NULL,
  `signature` longblob NOT NULL,
  `ceo_name` varchar(255) DEFAULT NULL,
  `vat_id` varchar(255) DEFAULT NULL,
  `tax_id` varchar(255) DEFAULT NULL,
  `company_register` varchar(255) DEFAULT NULL,
  `bank_account_owner` varchar(255) DEFAULT NULL,
  `bank_name` varchar(255) DEFAULT NULL,
  `bank_account_iban` varchar(255) DEFAULT NULL,
  `bank_account_swift` varchar(255) DEFAULT NULL,
  `gdpr_pdf_template` varchar(255) NOT NULL DEFAULT 'default',
  `gdpr_stored_pdf_template` varchar(255) NOT NULL DEFAULT 'default',
  `gdpr_stored_xml_template` varchar(255) NOT NULL DEFAULT 'default',
  `sender_name` varchar(255) NOT NULL DEFAULT '',
  `sender_email` varchar(255) NOT NULL DEFAULT '',
  `bcc_email` varchar(255) DEFAULT NULL,
  `default_lng` varchar(2) NOT NULL,
  `active` set('n','y') NOT NULL DEFAULT 'y',
  `enable_mail` set('n','y') NOT NULL DEFAULT 'y',
  `primary` set('n','y') NOT NULL DEFAULT 'n',
   PRIMARY KEY (`gdpr_company_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
INSERT INTO `gdpr_company` (`gdpr_company_id`, `sys_userid`, `sys_groupid`, `sys_perm_user`, `sys_perm_group`, `sys_perm_other`, `company_name`, `company_short`, `street`, `zip`, `city`, `country`, `email`, `internet`, `telephone`, `fax`, `logo_file`, `signature_file`, `logo`, `signature`, `ceo_name`, `vat_id`, `tax_id`, `company_register`, `bank_account_owner`, `bank_name`, `bank_account_iban`, `bank_account_swift`, `gdpr_pdf_template`, `gdpr_stored_pdf_template`, `gdpr_stored_xml_template`, `sender_name`, `sender_email`, `bcc_email`, `default_lng`, `active`, `enable_mail`, `primary`) 
VALUES (1, '1', '1', 'riud', 'riud', NULL, 'Example Company', 'example company', 'Sample Street 38', '04711', 'Berlin', 'DE', 'info@example.com', 'schaal-it.com', '+49-30-12345', '+49-30-12346', '', '', '', '', 'CEO', 'DE12345', 'DE12345', 'H12345', 'Example Company', 'Example Bank', 'IBAN', 'SWIFT', 'default', 'default', 'default', 'example company', 'info@example.com', '', 'en', 'y', 'n', 'y');

CREATE TABLE IF NOT EXISTS `gdpr_contract` (
  `gdpr_contract_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) unsigned NOT NULL DEFAULT '0',
  `sys_groupid` int(11) unsigned NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) NOT NULL DEFAULT '',
  `sys_perm_group` varchar(5) NOT NULL DEFAULT '',
  `sys_perm_other` varchar(5) NOT NULL DEFAULT '',
  `company_id` bigint(20) NOT NULL DEFAULT '0',
  `contract` longblob NOT NULL,
  `state` varchar(20) NOT NULL DEFAULT 'signed',
  `signed` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `sign_ip` varchar(255) NOT NULL,
  `deleted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `del_ip` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `filetype` varchar(255) NOT NULL DEFAULT 'application/pdf',
  `contract_type` enum('system','own') NOT NULL DEFAULT 'system',
  `description` varchar(30) NOT NULL,
  PRIMARY KEY (`gdpr_contract_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `gdpr_settings` (
  `gdpr_settings_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) NOT NULL DEFAULT '0',
  `sys_groupid` int(11) NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) DEFAULT NULL,
  `sys_perm_group` varchar(5) DEFAULT NULL,
  `sys_perm_other` varchar(5) DEFAULT NULL,
  `date_format` varchar(255) DEFAULT NULL,
  `pdf_dir` varchar(255) DEFAULT NULL,
  `db_store` enum('y','n') NOT NULL DEFAULT 'n',
  `version` varchar(5) NOT NULL,
  `rev` int(11) NOT NULL,
  `serial` VARCHAR(50) NOT NULL,
  `update` enum('running','finished','failed') NOT NULL,
  `add_client` enum('y','n') NOT NULL DEFAULT 'y',
  PRIMARY KEY (`gdpr_settings_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

INSERT INTO `gdpr_settings` (`gdpr_settings_id`, `sys_userid`, `sys_groupid`, `sys_perm_user`, `sys_perm_group`, `sys_perm_other`, `date_format`, `pdf_dir`, `db_store`, `version`, `rev`, `serial`, `update`, `add_client`) VALUES ('1', '1', '1', 'riud', 'riud', NULL, NULL, NULL, 'n', '1.2.1', '17', '', 'finished', 'y');

CREATE TABLE IF NOT EXISTS `gdpr_email_templates` (
  `gdpr_email_template_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) NOT NULL DEFAULT '0',
  `sys_groupid` int(11) NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) DEFAULT NULL,
  `sys_perm_group` varchar(5) DEFAULT NULL,
  `sys_perm_other` varchar(5) DEFAULT NULL,
  `company_id` bigint(20) NOT NULL DEFAULT '0',
  `description` varchar(255) NOT NULL,
  `subject` varchar(50) NOT NULL,
  `text` longtext NOT NULL,
  `lng` char(2) NOT NULL DEFAULT 'en',
  `master` enum('y','n') NOT NULL DEFAULT 'n',
  PRIMARY KEY (`gdpr_email_template_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
INSERT INTO `gdpr_email_templates` (`gdpr_email_template_id`, `sys_userid`, `sys_groupid`, `sys_perm_user`, `sys_perm_group`, `sys_perm_other`, `company_id`, `description`, `subject`, `text`, `lng`, `master`) VALUES(1, 1, 1, 'riud', 'riud', '', 1, 'example mail', 'requested data', 'Find your requested data attached', 'en', 'y');

CREATE TABLE IF NOT EXISTS `gdpr_templates` (
  `gdpr_template_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sys_userid` int(11) NOT NULL DEFAULT '0',
  `sys_groupid` int(11) NOT NULL DEFAULT '0',
  `sys_perm_user` varchar(5) DEFAULT NULL,
  `sys_perm_group` varchar(5) DEFAULT NULL,
  `sys_perm_other` varchar(5) DEFAULT NULL,
  `company_id` bigint(20) NOT NULL DEFAULT '0',
  `description` varchar(255) NOT NULL,
  `text` longtext NOT NULL,
  `lng` char(2) NOT NULL DEFAULT 'en',
  `master` enum('y','n') NOT NULL DEFAULT 'n',
  `screen_pos` int(1) NOT NULL DEFAULT '1',
  `screen_show` enum('y','n') NOT NULL DEFAULT 'y',
  `active` enum('y','n') NOT NULL DEFAULT 'y',
  PRIMARY KEY (`gdpr_template_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
