<?php

if(!is_dir('interface') && !is_dir('sql')) die('Please enter the install directory before you execute the update.php script.');

if(!is_dir('/usr/local/ispconfig/interface/web/gdpr')) die('No gdpr module installation found. Please use install.php to install the gdpr module.');

//* Load ispconfig settings
include_once '/usr/local/ispconfig/server/lib/config.inc.php';
include_once '/usr/local/ispconfig/server/lib/mysql_clientdb.conf';

//* Check gdpr module version
if(substr(ISPC_APP_VERSION, 0, 3) != '3.1') die('This ISPConfig GDPR Module version requires ISPConfig 3.1.');
if(!is_dir('/usr/local/ispconfig/interface/web/gdpr')) die('No ISPConfig GDPR module installation found.');

// Copy the files
exec('chown -R ispconfig:ispconfig interface');
exec('chmod -R 750 interface');
exec('cp -prf interface /usr/local/ispconfig');
exec('chmod -R 770 /usr/local/ispconfig/interface/web/gdpr/lib/lang');

exec('chmod 750 server/scripts/gdpr');
exec('chmod 700 server/scripts/gdpr/gdpr_update.sh');
exec('chown root.root server/scripts/*');
exec('mkdir -p /usr/local/ispconfig/server/scripts/gdpr');
exec('cp -prf server/* /usr/local/ispconfig/server/');
		
if(!file_exists('/usr/local/ispconfig/server/mods-enabled/gdpr_module.inc.php'))
	exec('ln -s /usr/local/ispconfig/server/mods-available/gdpr_module.inc.php /usr/local/ispconfig/server/mods-enabled/gdpr_module.inc.php > /dev/null');
if(!file_exists('/usr/local/ispconfig/server/plugins-enabled/gdpr_plugin.inc.php'))
	exec('ln -s /usr/local/ispconfig/server/plugins-available/gdpr_plugin.inc.php /usr/local/ispconfig/server/plugins-enabled/gdpr_plugin.inc.php > /dev/null');

$conf["mysql"]["host"] = $conf['db_host'];
$conf["mysql"]["admin_user"] = $conf['db_user'];
$conf["mysql"]["admin_password"] = $conf['db_password'];
$conf["mysql"]["charset"] = $conf['db_charset'];
$conf["mysql"]["database"] = $conf['db_database'];

//* Create database conection (ispconfig user, not root).
if(!class_exists('app') && !class_exists('db')) {
	include_once 'sql/lib/mysql.lib.php';
	$db = new db();
}

$force_db_update = false;

$tmp = $db->queryOneRecord("SELECT rev FROM gdpr_settings WHERE gdpr_settings_id = 1");
$current_db_version = $tmp['rev'];
unset($tmp);
$force_db_update = true;

//* Load the changes into the database
$found = true;
while($found == true) {
	$next_db_version = intval($current_db_version + 1);
	$patch_filename = realpath(dirname(__FILE__)).'/sql/incremental/upd_'.str_pad($next_db_version, 4, '0', STR_PAD_LEFT).'.sql';
	$php_patch_filename = realpath(dirname(__FILE__)).'/patches/upd_'.str_pad($next_db_version, 4, '0', STR_PAD_LEFT).'.php';
	if(is_file($patch_filename)) {
		if(is_file($php_patch_filename)) {
			$php_patch_class_name = 'upd_'.str_pad($next_db_version, 4, '0', STR_PAD_LEFT);
			include_once $php_patch_filename;
			if(class_exists($php_patch_class_name)) {
				$php_patch = new $php_patch_class_name;
			}
		}
		if(isset($php_patch) && is_object($php_patch) && method_exists($php_patch, 'onBeforeSQL')) {
			$php_patch->onBeforeSQL();
			echo "Executing PHP patch file $php_patch_filename\n";
		}
				
		//* Load patch file into database
		if( !empty($clientdb_password) ) {
			$cmd = "mysql --default-character-set=".$conf['db_charset']." --force -h '".$clientdb_host."' -u '".$clientdb_user."' -p'".$clientdb_password."' ".$conf['db_database']." < ".$patch_filename;
			if($force_db_update == true) $cmd .= ' > /dev/null 2> /dev/null';
			system($cmd);
		}
		echo 'Loading SQL patch file'.': '.$patch_filename."\n";

		if(isset($php_patch) && is_object($php_patch) && method_exists($php_patch, 'onAfterSQL')) {
			$php_patch->onAfterSQL();
		}

		$current_db_version = $next_db_version;
	} else {
		$found = false;
	}
}

//* update the database version in server table
$version = file_get_contents(realpath(dirname(__FILE__)).'/version');
$db->query("UPDATE gdpr_settings SET rev = ?, version = ? WHERE gdpr_settings_id = 1", $current_db_version, $version);
echo "ISPConfig GDPR module has been updated.\n";
@unlink('/usr/local/ispconfig/interface/web/gdpr/version.cache');
@unlink('/usr/local/ispconfig/interface/web/gdpr/license.cache');

class installer_gdpr_patch_update {
	public function onBeforeSQL() {
	}
	public function onAfterSQL() {
	}
}

?>
